Post Vms On Extended Network

Post Vms On Extended Network
Toggle VM state between Proximity Routed & Non-Proximity Routed

Toggle VM state between Proximity Routed & Non-Proximity Routed

Request
URI
POST
https://{server}/hybridity/api/l2Extensions/{networkExtensionId}/vms
COPY
Path Parameters
string
networkExtensionId
Required

Extended Network ID


Request Body

List of VMs with desired network state

postVmsRequest of type(s) application/json
Required

Show optional properties

{
    "endpointId": "string"
}
{
    "endpointId": "string",
    "items": [
        {
            "vmId": "string",
            "resourceId": "string",
            "routerEndpointId": "string",
            "switchoverType": "string"
        }
    ]
}
string
endpointId
Required

endpointId

array of object
items
Optional

items

Authentication
This operation uses the following authentication methods.
Responses
200

Accepted

Returns NESuccessTaskResponse of type(s) application/json
{
    "taskId": "string"
}
string
taskId
Optional

taskId


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns NEVMInternalServerError of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"endpointId":"string"}' https://{api_host}/hybridity/api/l2Extensions/{networkExtensionId}/vms